- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# SetCutSceneCommand Class Reference

`#include <Command.h>`

Inheritance diagram for SetCutSceneCommand:

List of all members.

## Public Member Functions
| SetCutSceneCommand (bool cutScene)
| SetCutSceneCommand (List *command)
void | execute ()
std::string | getString ()
## Static Public Member Functions
static std::string | id ()
## Private Attributes
bool | _cutScene
## Static Private Attributes
static const std::string | _id = "setCutScene"

## Detailed Description

Definition at line 277 of file Command.h.

## Constructor & Destructor Documentation

SetCutSceneCommand::SetCutSceneCommand | ( | bool | cutScene | ) |

| Definition at line 9 of file SetCutSceneCommand.cpp.

SetCutSceneCommand::SetCutSceneCommand | ( | List * | command | ) |

| Definition at line 15 of file SetCutSceneCommand.cpp. References _cutScene, List::firstString(), and List::rest().

## Member Function Documentation

void SetCutSceneCommand::execute | ( |  | ) | `[virtual]`

| Implements Command. Definition at line 25 of file SetCutSceneCommand.cpp. References _cutScene, Level::instance(), and Level::setCutScene().

std::string SetCutSceneCommand::getString | ( |  | ) | `[virtual]`

| Implements Command. Definition at line 30 of file SetCutSceneCommand.cpp. References _cutScene, _id, List::getString(), and List::snoc().

static std::string SetCutSceneCommand::id | ( |  | ) | `[inline, static]`

| Definition at line 285 of file Command.h. References _id. Referenced by Command::loadCommand().

## Member Data Documentation

bool SetCutSceneCommand::_cutScene`[private]`

| Definition at line 287 of file Command.h. Referenced by execute(), getString(), and SetCutSceneCommand().

const std::string SetCutSceneCommand::_id = "setCutScene"`[static, private]`

| Definition at line 288 of file Command.h. Referenced by getString(), and id().

The documentation for this class was generated from the following files:

- C:/Documents and Settings/jegan/Desktop/projectX/Command.h
- C:/Documents and Settings/jegan/Desktop/projectX/SetCutSceneCommand.cpp